Problèmes et questions concernant l'édition XFCE.
Répondre

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#1Messageil y a 5 mois

Tout est là, j'ai ça depuis 3 jours :

:: Procéder à l’installation ? [O/n] 
:: Récupération des paquets…
 mhwd-nvidia-390xx-3...    11,5 KiB  2,82M/s 00:00 [----------------------] 100%
 libfbclient-2.5.8.2...     2,7 MiB  2,51M/s 00:01 [----------------------] 100%
 electron-2.0.2-1-x86_64   33,4 MiB  2,67M/s 00:13 [----------------------] 100%
 haskell-http-4000.3...   284,8 KiB  2,60M/s 00:00 [----------------------] 100%
 haskell-http-client...   298,7 KiB  2,65M/s 00:00 [----------------------] 100%
 haskell-http-client...    44,8 KiB  2,74M/s 00:00 [----------------------] 100%
 nodejs-10.4.1-1-x86_64     4,9 MiB  2,69M/s 00:02 [----------------------] 100%
 pandoc-2.2.1-35-x86_64     4,5 MiB  2,69M/s 00:02 [----------------------] 100%
(9/9) vérification des clés dans le trousseau      [----------------------] 100%
(9/9) vérification de l’intégrité des paquets      [----------------------] 100%
(9/9) chargement des fichiers des paquets          [----------------------] 100%
(9/9) analyse des conflits entre fichiers          [----------------------] 100%
erreur : la validation de la transaction a échoué (conflit de fichiers)
thunar-archive-plugin : /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap est déjà présent dans le système de fichiers (appartenant à engrampa-thunar-plugin)
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
Pour le moment, je fais les mises à jour en évitant thunar-archive-plugin, y-a-t'il plus judicieux ?

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#2Messageil y a 5 mois

Salut nam,

sudo pacman -Rsn engrampa-thunar-plugin && sudo pacman -Syu && sudo pacman -S engrampa-thunar-plugin
La meilleure méthode, encore plus simple, efficace et rapide :

sudo rm -i /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap 


Puis relancer la mise à jour :clindoeil:

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#3Messageil y a 5 mois

Hello !
j'ai passé la seconde commande puis mise à jour, puis la première, hélàs, dans les deux cas, je finis par :

erreur : la validation de la transaction a échoué (conflit de fichiers)
engrampa-thunar-plugin : /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap est déjà présent dans le système de fichiers (appartenant à thunar-archive-plugin)
Des erreurs se sont produites, aucun paquet n’a été mis à jour.

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#4Messageil y a 5 mois

Que donne :

cd /usr/lib/xfce4/thunar-archive-plugin/ && ls
?

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#5Messageil y a 5 mois

Bonjour.
J'ai eu le même souci sur une de mes machines. Résolu par sudo pacman -R thunar-archive-plugin . Ce plugin est devenu en conflit avec engrampa qui est installé par défaut.

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#6Messageil y a 5 mois

Fait, merci !

Pour Erwan :

~]$ cd /usr/lib/xfce4/thunar-archive-plugin/ && ls
ark.tap       file-roller.tap        org.gnome.FileRoller.tap
engrampa.tap  gnome-file-roller.tap  xarchiver.tap

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#7Messageil y a 5 mois

Je n'ai pas eu ce problème de mon côté, mais il est vrai que j'avais désinstallé engrampa pour le remplacer par xarchiver
lemust83 a écrit : Ce plugin est devenu en conflit avec engrampa qui est installé par défaut.
J'ai plus l'impression qu'il est en conflit uniquement pour cette mise à jour car je viens de l'installer (provisoirement), lui et engrampa, et ça roule bien. :sourire:

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#8Messageil y a 5 mois

:bjr: Je viens de mettre à jour ma seconde machine en instable. Machine sur laquelle j'avais gardé engrampa et...

erreur : la validation de la transaction a échoué (conflit de fichiers)
thunar-archive-plugin : /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap est déjà présent dans le système de fichiers (appartenant à engrampa-thunar-plugin)
Des erreurs se sont produites, aucun paquet n’a été mis à jour.

 erwan  ~  sudo rm -i /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap
[sudo] Mot de passe de erwan : 
rm : supprimer '/usr/lib/xfce4/thunar-archive-plugin/engrampa.tap' du type fichier ? y
Après avoir supprimé l'obstacle, la mise à jour passe sans accroc, comme d'habitude. Lorsqu'un fichier bloque, il faut l'écraser, c'est une règle fondamentale. :sourire:

Problème de mise à jour unstable Xfce : thunar-archive-plugin fait la tête

#9Messageil y a 5 mois

:bjr:
c'est depuis quelques jours aussi en testing il y a 8 posts sur engrampa dans ce sujet

@nam1962 mais comment tu peux être en unstable si tu ne peux gérer un conflit de fichier aussi simple ? ce genre de chose arrive très très régulièrement en unstable (qui est pour les dévelopeurs) et en testing !

Répondre